POST
/v1/mgmt/authz/re/hasAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
relationQueries?array<RelationQuery>
Check a list of relation queries.
curl -X POST "https://api.descope.com/v1/mgmt/authz/re/has" \ -H "Content-Type: application/json" \ -d '{}'{ "relationQueries": [ { "resource": "string", "relationDefinition": "string", "namespace": "string", "target": "string", "hasRelation": true } ], "directRelations": [ true ]}export interface Response {relationQueries?: RelationQuery[]directRelations?: boolean[]}/** * Query if the given resource has the given relation to the given user */export interface RelationQuery {resource?: stringrelationDefinition?: stringnamespace?: stringtarget?: stringhasRelation?: boolean} Was this helpful?